# Class PanelMetricsBase

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.metrics.MultilevelMetrics
picard.analysis.directed.PanelMetricsBase

Direct Known Subclasses:
  `HsMetrics, TargetMetricsBase`

public class PanelMetricsBase extends MultilevelMetrics
A base class for Metrics for targeted panels. Metrics for library construction protocols based on PCR amplicons/probes and Hybrid Selection baits are derived from this class.

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`AT_DROPOUT`
A measure of how undercovered invalid input: '<'= 50% GC regions are relative to the mean.
`double`
`FOLD_80_BASE_PENALTY`
The fold over-coverage necessary to raise 80% of bases in "non-zero-cvg" targets to the mean coverage level in those targets.
`double`
`GC_DROPOUT`
A measure of how undercovered >= 50% GC regions are relative to the mean.
`long`
`GENOME_SIZE`
The number of bases in the reference genome used for alignment.
`double`
`HET_SNP_Q`
The Phred Scaled Q Score of the theoretical HET SNP sensitivity.
`double`
`HET_SNP_SENSITIVITY`
The theoretical HET SNP sensitivity.
`long`
`MAX_TARGET_COVERAGE`
The maximum coverage of reads that mapped to target regions of an experiment.
`double`
`MEAN_TARGET_COVERAGE`
The mean coverage of targets.
`double`
`MEDIAN_TARGET_COVERAGE`
The median coverage of targets.
`long`
`MIN_TARGET_COVERAGE`
The minimum coverage of reads that mapped to target regions of an experiment.
`long`
`ON_TARGET_BASES`
The number of PF aligned bases that mapped to a targeted region of the genome.
`double`
`PCT_EXC_ADAPTER`
The fraction of aligned bases in reads that have MQ=0 and whose 5' end consists of adapter sequence.
`double`
`PCT_EXC_BASEQ`
The fraction of aligned bases that were filtered out because they were of low base quality.
`double`
`PCT_EXC_DUPE`
The fraction of aligned bases that were filtered out because they were in reads marked as duplicates.
`double`
`PCT_EXC_MAPQ`
The fraction of aligned bases that were filtered out because they were in reads with low mapping quality.
`double`
`PCT_EXC_OFF_TARGET`
The fraction of aligned bases that were filtered out because they did not align over a target base.
`double`
`PCT_EXC_OVERLAP`
The fraction of aligned bases that were filtered out because they were the second observation from an insert with overlapping reads.
`double`
`PCT_PF_READS`
The fraction of reads passing filter, PF_READS/TOTAL_READS.
`double`
`PCT_PF_UQ_READS`
The fraction of unique reads passing filter, PF_UNIQUE_READS/TOTAL_READS.
`double`
`PCT_PF_UQ_READS_ALIGNED`
The fraction of unique reads passing filter that align to the reference, PF_UQ_READS_ALIGNED/PF_UNIQUE_READS.
`double`
`PCT_TARGET_BASES_100000X`
The fraction of all target bases achieving 100000X or greater coverage.
`double`
`PCT_TARGET_BASES_10000X`
The fraction of all target bases achieving 10000X or greater coverage.
`double`
`PCT_TARGET_BASES_1000X`
The fraction of all target bases achieving 1000X or greater coverage.
`double`
`PCT_TARGET_BASES_100X`
The fraction of all target bases achieving 100X or greater coverage.
`double`
`PCT_TARGET_BASES_10X`
The fraction of all target bases achieving 10X or greater coverage.
`double`
`PCT_TARGET_BASES_1X`
The fraction of all target bases achieving 1X or greater coverage.
`double`
`PCT_TARGET_BASES_20X`
The fraction of all target bases achieving 20X or greater coverage.
`double`
`PCT_TARGET_BASES_25000X`
The fraction of all target bases achieving 25000X or greater coverage.
`double`
`PCT_TARGET_BASES_2500X`
The fraction of all target bases achieving 2500X or greater coverage.
`double`
`PCT_TARGET_BASES_250X`
The fraction of all target bases achieving 250X or greater coverage.
`double`
`PCT_TARGET_BASES_2X`
The fraction of all target bases achieving 2X or greater coverage.
`double`
`PCT_TARGET_BASES_30X`
The fraction of all target bases achieving 30X or greater coverage.
`double`
`PCT_TARGET_BASES_40X`
The fraction of all target bases achieving 40X or greater coverage.
`double`
`PCT_TARGET_BASES_50000X`
The fraction of all target bases achieving 50000X or greater coverage.
`double`
`PCT_TARGET_BASES_5000X`
The fraction of all target bases achieving 5000X or greater coverage.
`double`
`PCT_TARGET_BASES_500X`
The fraction of all target bases achieving 500X or greater coverage.
`double`
`PCT_TARGET_BASES_50X`
The fraction of all target bases achieving 50X or greater coverage.
`long`
`PF_BASES`
The number of bases in the PF_READS of a SAM or BAM file
`long`
`PF_BASES_ALIGNED`
The number of PF_BASES that are aligned with mapping score > 0 to the reference genome.
`long`
`PF_READS`
The number of passing filter reads (PF).
`long`
`PF_UNIQUE_READS`
The number of PF_READS that are not marked as duplicates.
`long`
`PF_UQ_BASES_ALIGNED`
The number of PF unique bases that are aligned with mapping score > 0 to the reference genome.
`long`
`PF_UQ_READS_ALIGNED`
The number of PF_UNIQUE_READS that are aligned with mapping score > 0 to the reference genome.
`long`
`TARGET_TERRITORY`
The number of unique bases covered by the intervals of all targets that should be covered
`long`
`TOTAL_READS`
The total number of reads in the SAM or BAM file examined.
`double`
`ZERO_CVG_TARGETS_PCT`
The fraction of targets that did not reach coverage=1 over any base.

### Fields inherited from class MultilevelMetrics

`LIBRARY, READ_GROUP, SAMPLE`

## Constructor Summary

Constructors
Constructor
Description
`PanelMetricsBase()`

## Method Summary

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### TARGET_TERRITORY

public long TARGET_TERRITORY
The number of unique bases covered by the intervals of all targets that should be covered

### GENOME_SIZE

public long GENOME_SIZE
The number of bases in the reference genome used for alignment.

### TOTAL_READS

public long TOTAL_READS
The total number of reads in the SAM or BAM file examined.

### PF_READS

public long PF_READS
The number of passing filter reads (PF).

### PF_BASES

public long PF_BASES
The number of bases in the PF_READS of a SAM or BAM file

### PF_UNIQUE_READS

public long PF_UNIQUE_READS
The number of PF_READS that are not marked as duplicates.

### PF_UQ_READS_ALIGNED

public long PF_UQ_READS_ALIGNED
The number of PF_UNIQUE_READS that are aligned with mapping score > 0 to the reference genome.

### PF_BASES_ALIGNED

public long PF_BASES_ALIGNED
The number of PF_BASES that are aligned with mapping score > 0 to the reference genome.

### PF_UQ_BASES_ALIGNED

public long PF_UQ_BASES_ALIGNED
The number of PF unique bases that are aligned with mapping score > 0 to the reference genome.

### ON_TARGET_BASES

public long ON_TARGET_BASES
The number of PF aligned bases that mapped to a targeted region of the genome.

### PCT_PF_READS

public double PCT_PF_READS
The fraction of reads passing filter, PF_READS/TOTAL_READS.

### PCT_PF_UQ_READS

public double PCT_PF_UQ_READS
The fraction of unique reads passing filter, PF_UNIQUE_READS/TOTAL_READS.

### PCT_PF_UQ_READS_ALIGNED

public double PCT_PF_UQ_READS_ALIGNED
The fraction of unique reads passing filter that align to the reference, PF_UQ_READS_ALIGNED/PF_UNIQUE_READS.

### MEAN_TARGET_COVERAGE

public double MEAN_TARGET_COVERAGE
The mean coverage of targets.

### MEDIAN_TARGET_COVERAGE

public double MEDIAN_TARGET_COVERAGE
The median coverage of targets.

### MAX_TARGET_COVERAGE

public long MAX_TARGET_COVERAGE
The maximum coverage of reads that mapped to target regions of an experiment.

### MIN_TARGET_COVERAGE

public long MIN_TARGET_COVERAGE
The minimum coverage of reads that mapped to target regions of an experiment.

### ZERO_CVG_TARGETS_PCT

public double ZERO_CVG_TARGETS_PCT
The fraction of targets that did not reach coverage=1 over any base.

### PCT_EXC_DUPE

public double PCT_EXC_DUPE
The fraction of aligned bases that were filtered out because they were in reads marked as duplicates.

### PCT_EXC_ADAPTER

public double PCT_EXC_ADAPTER
The fraction of aligned bases in reads that have MQ=0 and whose 5' end consists of adapter sequence.

### PCT_EXC_MAPQ

public double PCT_EXC_MAPQ
The fraction of aligned bases that were filtered out because they were in reads with low mapping quality.

### PCT_EXC_BASEQ

public double PCT_EXC_BASEQ
The fraction of aligned bases that were filtered out because they were of low base quality.

### PCT_EXC_OVERLAP

public double PCT_EXC_OVERLAP
The fraction of aligned bases that were filtered out because they were the second observation from an insert with overlapping reads.

### PCT_EXC_OFF_TARGET

public double PCT_EXC_OFF_TARGET
The fraction of aligned bases that were filtered out because they did not align over a target base.

### FOLD_80_BASE_PENALTY

public double FOLD_80_BASE_PENALTY
The fold over-coverage necessary to raise 80% of bases in "non-zero-cvg" targets to the mean coverage level in those targets.

### PCT_TARGET_BASES_1X

public double PCT_TARGET_BASES_1X
The fraction of all target bases achieving 1X or greater coverage.

### PCT_TARGET_BASES_2X

public double PCT_TARGET_BASES_2X
The fraction of all target bases achieving 2X or greater coverage.

### PCT_TARGET_BASES_10X

public double PCT_TARGET_BASES_10X
The fraction of all target bases achieving 10X or greater coverage.

### PCT_TARGET_BASES_20X

public double PCT_TARGET_BASES_20X
The fraction of all target bases achieving 20X or greater coverage.

### PCT_TARGET_BASES_30X

public double PCT_TARGET_BASES_30X
The fraction of all target bases achieving 30X or greater coverage.

### PCT_TARGET_BASES_40X

public double PCT_TARGET_BASES_40X
The fraction of all target bases achieving 40X or greater coverage.

### PCT_TARGET_BASES_50X

public double PCT_TARGET_BASES_50X
The fraction of all target bases achieving 50X or greater coverage.

### PCT_TARGET_BASES_100X

public double PCT_TARGET_BASES_100X
The fraction of all target bases achieving 100X or greater coverage.

### PCT_TARGET_BASES_250X

public double PCT_TARGET_BASES_250X
The fraction of all target bases achieving 250X or greater coverage.

### PCT_TARGET_BASES_500X

public double PCT_TARGET_BASES_500X
The fraction of all target bases achieving 500X or greater coverage.

### PCT_TARGET_BASES_1000X

public double PCT_TARGET_BASES_1000X
The fraction of all target bases achieving 1000X or greater coverage.

### PCT_TARGET_BASES_2500X

public double PCT_TARGET_BASES_2500X
The fraction of all target bases achieving 2500X or greater coverage.

### PCT_TARGET_BASES_5000X

public double PCT_TARGET_BASES_5000X
The fraction of all target bases achieving 5000X or greater coverage.

### PCT_TARGET_BASES_10000X

public double PCT_TARGET_BASES_10000X
The fraction of all target bases achieving 10000X or greater coverage.

### PCT_TARGET_BASES_25000X

public double PCT_TARGET_BASES_25000X
The fraction of all target bases achieving 25000X or greater coverage.

### PCT_TARGET_BASES_50000X

public double PCT_TARGET_BASES_50000X
The fraction of all target bases achieving 50000X or greater coverage.

### PCT_TARGET_BASES_100000X

public double PCT_TARGET_BASES_100000X
The fraction of all target bases achieving 100000X or greater coverage.

### AT_DROPOUT

public double AT_DROPOUT
A measure of how undercovered invalid input: '<'= 50% GC regions are relative to the mean. For each GC bin [0..50] we calculate a = % of target territory, and b = % of aligned reads aligned to these targets. AT_DROPOUT is then sum(a-b if a-b > 0 else 0). E.g. if the value is 5%, this implies that 5% of total reads that should have mapped to GCinvalid input: '<'=50% regions mapped elsewhere.

### GC_DROPOUT

public double GC_DROPOUT
A measure of how undercovered >= 50% GC regions are relative to the mean. For each GC bin [50..100] we calculate a = % of target territory, and b = % of aligned reads aligned to these targets. GC_DROPOUT is then sum(a-b if a-b > 0 else 0). E.g. if the value is 5% this implies that 5% of total reads that should have mapped to GC>=50% regions mapped elsewhere.

### HET_SNP_SENSITIVITY

public double HET_SNP_SENSITIVITY
The theoretical HET SNP sensitivity.

### HET_SNP_Q

public double HET_SNP_Q
The Phred Scaled Q Score of the theoretical HET SNP sensitivity.

## Constructor Details

### PanelMetricsBase

public PanelMetricsBase()